"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const escapeComment_1 = __importDefault(require("./escapeComment"));
vitest_1.it.each([
    ["an example"],
    ["       "],
    ["\"'`\t"],
    ["/* something */", "/* something *\\/"],
])("should escape string: %s", (s1, s2) => {
    (0, vitest_1.expect)((0, escapeComment_1.default)(s1)).toBe(s2 ?? s1);
});
